Bug 1680222

Summary: Bad weak dependency on dnf-utils
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: mockAssignee: Miroslav Suchý <msuchy>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 29CC: bugzilla, jdisnard, jkeating, mebrown, msuchy, pbabinca, praiskup, steeve.mccauley, williams
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-10-15 10:43:34 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Remi Collet 2019-02-23 07:29:00 UTC
See bug #1680221

Perhaps:

Recommends: (dnf-utils unless yum-utils)

Comment 1 Miroslav Suchý 2019-02-26 09:12:11 UTC
I am not really sure I want to have this change there.

People really should migrate to dnf-utils. If I put there the recommends you suggested, then they will stay on yum-utils for ages.

Comment 2 Miroslav Suchý 2019-02-26 09:14:09 UTC
*** Bug 1680250 has been marked as a duplicate of this bug. ***

Comment 3 Pavol Babinčák 2019-02-27 20:16:58 UTC
(In reply to Miroslav Suchý from comment #1)
> I am not really sure I want to have this change there.
> 
> People really should migrate to dnf-utils. If I put there the recommends you
> suggested, then they will stay on yum-utils for ages.

With the current behaviour I end up with similar end result as in Bug #1680250 - Unable to install last update and I have to *know* how to and *manually* intervent to upgrade my otherwise normally installed Fedora 29.

I believe in this case ages means Fedora 31 (https://fedoraproject.org/wiki/Changes/Retire_YUM_3 ).

Comment 4 Steeve McCauley 2019-03-06 12:49:36 UTC
Pavol,

I successfully updated doing this at the command line,

$ sudo dnf remove yum-utils
$ sudo dnf update

Comment 5 Pavol Babinčák 2019-03-06 13:28:43 UTC
(In reply to Steeve McCauley from comment #4)
> Pavol,
> 
> I successfully updated doing this at the command line,
> 
> $ sudo dnf remove yum-utils
> $ sudo dnf update

I understand that it is possible to workaround this by manual intervention. What I'm saying is that I would expect package metadata to be configured in a way that no manual intervention is needed.

Comment 6 Steeve McCauley 2019-03-06 13:35:02 UTC
Ah, right, a thousand pardons.  Of course you're right.

Comment 7 Miroslav Suchý 2019-10-15 10:43:34 UTC
Yum-utils does not exists on F31. I consider this resolved.